Summary: gcombust is a GTK+ frontend for mksisofs and cdrecord.
Name: gcombust
Version: 0.1.10
Release: 1
Group: X11/Utilities
Copyright: GPL
Url: http://www.iki.fi/jmunsin/gcombust
Vendor: Jonas Munsin <jmunsin@iki.fi>
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.abo.fi/~jmunsin/gcombust/gcombust-%{version}.tar.gz
Requires: cdrecord
BuildRoot: /var/tmp/%{name}-root

%description
gcombust is a gui for mkisofs and cdrecord Linux. It's written
in C and it uses the GTK+ widget set (currently it's been tested
and used only on Linux and X-Windows). gcombust is work in progress,
the current (development) release is to be considered beta software.
That means it hasn't been tested very well and that some parts of
the code isn't written.


%prep
%setup -q
# To compile with gtk+-1.2.x
perl -pi -e 's|#define GCOM_GTK_VER 10|#define GCOM_GTK_VER 12|' src/globals.h


%build
CPPFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS
/usr/bin/gcombust


%clean
rm -rf $RPM_BUILD_ROOT
